package com.zcloud.basic.info.api;

import com.alibaba.cola.dto.PageResponse;
import com.alibaba.cola.dto.SingleResponse;
import com.zcloud.basic.info.dto.CorpFormAddCmd;
import com.zcloud.basic.info.dto.CorpFormPageQry;
import com.zcloud.basic.info.dto.CorpFormUpdateCmd;
import com.zcloud.basic.info.dto.clientobject.CorpFormCO;

/**
 * web-client
 *
 * @Author zhaokai
 * @Date 2025-10-30 09:53:54
 */
public interface CorpFormServiceI {
    PageResponse<CorpFormCO> listPage(CorpFormPageQry qry);

    SingleResponse<CorpFormCO> add(CorpFormAddCmd cmd);

    void edit(CorpFormUpdateCmd cmd);

    void remove(Long id);

    void removeBatch(Long[] ids);
}

